# std::auto_ptr::get

From cppreference.com
< cpp‎ | memory‎ | auto ptr

T* get() const; |  | (deprecated)

Returns the pointer that is held by *this.

### Parameters

(none)

### Return value

The pointer held by *this.

### Exceptions

(none)

### See also

operator*operator-> | accesses the managed object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/auto_ptr/get&oldid=58298"